Skip to content

Validate Extraction Schema

client.extract.validateSchema(ExtractValidateSchemaParams { data_schema } body, RequestOptionsoptions?): ExtractV2SchemaValidateResponse { data_schema }
POST/api/v2/extract/schema/validation

Validate a JSON schema for extraction.

ParametersExpand Collapse
body: ExtractValidateSchemaParams { data_schema }
data_schema: Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null> | string

Schema to validate

Accepts one of the following:
Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>
Record<string, unknown>
Array<unknown>
string
number
boolean
string
ReturnsExpand Collapse
ExtractV2SchemaValidateResponse { data_schema }

Response schema for schema validation.

data_schema: Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>

Validated JSON schema

Accepts one of the following:
Record<string, unknown>
Array<unknown>
string
number
boolean

Validate Extraction Schema

import LlamaCloud from '@llamaindex/llama-cloud';

const client = new LlamaCloud({
  apiKey: process.env['LLAMA_CLOUD_API_KEY'], // This is the default and can be omitted
});

const extractV2SchemaValidateResponse = await client.extract.validateSchema({
  data_schema: { foo: { foo: 'bar' } },
});

console.log(extractV2SchemaValidateResponse.data_schema);
{
  "data_schema": {
    "foo": {
      "foo": "bar"
    }
  }
}
Returns Examples
{
  "data_schema": {
    "foo": {
      "foo": "bar"
    }
  }
}